# Uses of Interface
org.eclipse.jface.text.IDocumentPartitioner

Packages that use IDocumentPartitioner
Package
Description
org.eclipse.compare.contentmergeviewer
Support for compare and merge viewers which show the content side-by-side.
org.eclipse.compare.structuremergeviewer
Provides support for finding and displaying the differences between hierarchically structured data.
org.eclipse.jface.text
Provides a framework for creating and manipulating text documents.
org.eclipse.jface.text.rules
Provides a framework for rule based text scanning and uses the framework to provide rule-driven default implementations of `IPresentationDamager`, `IPresentationRepairer` and `IDocumentPartitioner`.
org.eclipse.ui.console
Application programming interfaces for interaction with the Eclipse console.

## Uses of IDocumentPartitioner in org.eclipse.compare.contentmergeviewer

Methods in org.eclipse.compare.contentmergeviewer that return IDocumentPartitioner
Modifier and Type
Method
Description
`protected IDocumentPartitioner`
TextMergeViewer.`getDocumentPartitioner()`
Returns a document partitioner which is suitable for the underlying content type.

## Uses of IDocumentPartitioner in org.eclipse.compare.structuremergeviewer

Methods in org.eclipse.compare.structuremergeviewer that return IDocumentPartitioner
Modifier and Type
Method
Description
`protected IDocumentPartitioner`
StructureCreator.`getDocumentPartitioner()`
Returns the partitioner to be associated with the document or `null` is partitioning is not needed or if the subclass overrode `StructureCreator.setupDocument(IDocument)` directly.

## Uses of IDocumentPartitioner in org.eclipse.jface.text

Methods in org.eclipse.jface.text that return IDocumentPartitioner
Modifier and Type
Method
Description
`IDocumentPartitioner`
AbstractDocument.`getDocumentPartitioner()`
`IDocumentPartitioner`
AbstractDocument.`getDocumentPartitioner(String partitioning)`
`IDocumentPartitioner`
IDocument.`getDocumentPartitioner()`
Returns this document's partitioner.
`IDocumentPartitioner`
IDocumentExtension3.`getDocumentPartitioner(String partitioning)`
Returns the partitioner for the given partitioning or `null` if no partitioner is registered.
Methods in org.eclipse.jface.text that return types with arguments of type IDocumentPartitioner
Modifier and Type
Method
Description
`static Map<String,IDocumentPartitioner>`
TextUtilities.`removeDocumentPartitioners(IDocument document)`
Removes all connected document partitioners from the given document and stores them under their partitioning name in a map.
Methods in org.eclipse.jface.text with parameters of type IDocumentPartitioner
Modifier and Type
Method
Description
`protected final void`
AbstractDocument.`checkStateOfPartitioner(IDocumentPartitioner partitioner, String partitioning)`
Checks the state for the given partitioner and stops the active rewrite session.
`void`
AbstractDocument.`setDocumentPartitioner(String partitioning, IDocumentPartitioner partitioner)`
`void`
AbstractDocument.`setDocumentPartitioner(IDocumentPartitioner partitioner)`
`void`
IDocument.`setDocumentPartitioner(IDocumentPartitioner partitioner)`
Sets this document's partitioner.
`void`
IDocumentExtension3.`setDocumentPartitioner(String partitioning, IDocumentPartitioner partitioner)`
Sets this document's partitioner.
Method parameters in org.eclipse.jface.text with type arguments of type IDocumentPartitioner
Modifier and Type
Method
Description
`static void`
TextUtilities.`addDocumentPartitioners(IDocument document, Map<String,? extends IDocumentPartitioner> partitioners)`
Connects the given document with all document partitioners stored in the given map under their partitioning name.

## Uses of IDocumentPartitioner in org.eclipse.jface.text.rules

Classes in org.eclipse.jface.text.rules that implement IDocumentPartitioner
Modifier and Type
Class
Description
`class`
`DefaultPartitioner`
Deprecated.
As of 3.1, replaced by `FastPartitioner` instead
`class`
`FastPartitioner`
A standard implementation of a document partitioner.
`class`
`RuleBasedPartitioner`
Deprecated.
use `FastPartitioner` instead

## Uses of IDocumentPartitioner in org.eclipse.ui.console

Subinterfaces of IDocumentPartitioner in org.eclipse.ui.console
Modifier and Type
Interface
Description
`interface`
`IConsoleDocumentPartitioner`
A document partitioner for a text console.